# QTextDocumentFragment Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QTextDocumentFragment()
- void QTextDocumentFragment(QTextCursor range)
- void QTextDocumentFragment(QTextDocument document)
- void QTextDocumentFragment(QTextDocumentFragment rhs)

### Constructor Properties

- prototype: The QTextDocumentFragment prototype object
- QTextDocumentFragment fromHtml(String html)
- QTextDocumentFragment fromPlainText(String plainText)

### Prototype Object Properties

- bool isEmpty()
- String toHtml()
- String toPlainText()

### Instance Properties

QTextDocumentFragment objects have no special properties beyond those inherited from the QTextDocumentFragment prototype object.